List IdPs
curl --request GET \
--url https://api.mountthor.com/v1/admin/identity/providers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mountthor.com/v1/admin/identity/providers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mountthor.com/v1/admin/identity/providers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"customer_id": "<string>",
"issuers": [
{
"allowed_clock_skew_seconds": 60,
"audiences": [
"api.mountthor.com"
],
"created_at": "2026-05-25T17:20:00Z",
"display_name": "GitHub Actions OIDC",
"id": "<string>",
"issuer": "https://token.actions.githubusercontent.com",
"issuer_type": "oidc",
"jwks_source_type": "discovery",
"status": "active",
"updated_at": "2026-05-25T17:30:00Z",
"jwks_document_ref": "<string>",
"jwks_uri": "<string>"
}
]
}"<string>"Identity
List IdPs
Returns external OIDC providers trusted by this customer. These records contain trust configuration only; they do not contain token or key material.
GET
/
v1
/
admin
/
identity
/
providers
List IdPs
